import chronoptics.tof as tof
import numpy as np

cam = tof.KeaCamera(serial="2020004")
tof.selectStreams(cam, [tof.FrameType.Z])
cam.start()

for _ in range(100):
    frames = cam.getFrames()

    acc = np.array(frames[0].acceleration()) * 0.000598205
    ang_vel = np.array(frames[0].angularVelocity()) * 0.000152716
    print(f"Acceleration {acc} m/s^2 Angular velocity {ang_vel} dps")
